vim.opt.termguicolors = true
vim.opt.clipboard = 'unnamed,unnamedplus'
vim.opt.timeoutlen = 300
vim.opt.mouse = 'a'
vim.opt.undodir = vim.fn.expand('~/.cache/vim/undo')
vim.opt.listchars = 'tab:▸ ,extends:❯,precedes:❮'

vim.opt.number = true
vim.opt.relativenumber = true
vim.opt.list = true

vim.opt.autoindent = true
vim.opt.expandtab = true
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.tabstop = 4
vim.opt.smartindent = true
vim.opt.modeline = true

vim.opt.spell = true

vim.opt.undofile = true
vim.g.mapleader = ' '

vim.opt.completeopt = {'menuone', 'noselect', 'noinsert'}
vim.opt.shortmess = vim.opt.shortmess + { c = true}
vim.api.nvim_set_option('updatetime', 100)

-- Always show signcolumn
vim.cmd([[
set signcolumn=yes
]])

-- Load utilities
require('kalle.utils')
-- Load plugins
require('kalle.plugins')

vim.cmd('colorscheme carbonfox')

-- Load config
require('kalle.config')

-- TODO:
-- - Debugger integration (gdb?, java?/kotlin?, rust?, etc) - nvim-dap and friends
