require('kalle.config.plugin-config.lsp')
require('kalle.config.plugin-config.cmp')
require('kalle.config.plugin-config.treesitter')
require('kalle.config.plugin-config.bufferline')
require('kalle.config.plugin-config.nvim-tree')

require('which-key').setup {}
require('neogit').setup {}
require('lualine').setup {}
require('marks').setup {}
require('Comment').setup()
require('illuminate').configure()
require("telescope").load_extension("ui-select")
require("todo-comments").setup {}
require'FTerm'.setup {}

require('gitsigns').setup {
  current_line_blame = true,
}

-- TODO: Move this to a better place.
require("noice").setup({
  routes = {
    {
      filter = {
        event = "cmdline",
        find = "^%s*[/?]",
      },
      view = "cmdline",
    },
  },
  views = {
    cmdline_popup = {
      position = {
        row = 5,
        col = "50%",
      },
      size = {
        width = 60,
        height = "auto",
      },
    },
    popupmenu = {
      relative = "editor",
      position = {
        row = 8,
        col = "50%",
      },
      size = {
        width = 60,
        height = 10,
      },
      border = {
        style = "rounded",
        padding = { 0, 1 },
      },
      win_options = {
        winhighlight = { Normal = "Normal", FloatBorder = "DiagnosticInfo" },
      },
    },
  },
})
